Skip to main content
`Ctrl`+`K`

# scipy.special.bdtrik

scipy.special.bdtrik(y, n, p, out=None) = <ufunc 'bdtrik'>

  Inverse function to `bdtr` with respect to k.

  Finds the number of successes k such that the sum of the terms 0 through k of the Binomial probability density for n events with probability p is equal to the given cumulative probability y.

  Parameters:
    y array_like

      Cumulative probability (probability of k or fewer successes in n events).

    n array_like

      Number of events (float).

    p array_like

      Success probability (float).

    out ndarray, optional

      Optional output array for the function values

  Returns:
    k scalar or ndarray

      The number of successes k such that bdtr(k, n, p) = y.

  See also

  `bdtr`

  Notes

  Formula 26.5.24 of [1] is used to reduce the binomial distribution to the cumulative incomplete beta distribution.

  Computation of k involves a search for a value that produces the desired value of y. The search relies on the monotonicity of y with k.

  Wrapper for the CDFLIB [2] Fortran routine cdfbin.

  References

  [1]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.

  [2]

  Barry Brown, James Lovato, and Kathy Russell, CDFLIB: Library of Fortran Routines for Cumulative Distribution Functions, Inverses, and Other Parameters.